Skip to content
View Markdown

List direct directory children

GET/v1/disks/{disk}/entries
GET
/v1/disks/{disk}/entries
curl --request GET \
--url 'https://api.wabe.sh/v1/disks/demo/entries?path=%2F' \
--header 'Authorization: Bearer <token>'
disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

path
string
default: /
branch
string
commit
string format: uuid
label
string

Newline-delimited JSON records; consume or close the body to release the request lease.

Media typeapplication/x-ndjson
string

Example

{"path":"/notes.txt","metadata":{"version":2,"object_id":"1a99088e-bfec-4eec-87e4-19ba5acf29e1","version_id":"f75f43ae-8375-48f0-8bcd-862cb75c26ef","branch_id":"8ec08f61-c6b4-4f3a-83e9-d46ae3e5bc30","revision":1,"first_edit_at_ms":1794225600000,"last_edit_at_ms":1794225600000,"mode":33188,"kind":{"File":{"content_root":null,"size":0,"chunk_bytes":65536}}}}

Invalid input, query, name or source.

Media typetext/plain
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Requested file, parent or script was not found.

Media typetext/plain
string

Storage, I/O or corruption failure.

Media typetext/plain
string

Disk unavailable.

Media typeapplication/json
object
error
required
string
message
required
string